import './assets/base.css'

import { createApp } from 'vue'
import { createPinia } from 'pinia'

import App from './App.vue'
import router from './router'
import FormCheckbox from './components/form/FormCheckbox.vue'
import FormInput from './components/form/FormInput.vue'

import * as Sentry from "@sentry/vue";




const app = createApp(App)



app.use(createPinia())
app.use(router)

if (import.meta.env.VITE_DISABLE_GLITCHTIP === "true") {
    console.log("Glitchtip disabled");
} else {
    let dsn = import.meta.env.VITE_GLITCHTIP_DSN;
    let environment = import.meta.env.VITE_ENVIRONMENT;
    let release = import.meta.env.VITE_APPLICATION_VERSION;
    Sentry.init({
        app,
        dsn: dsn,
        integrations: [
            Sentry.browserTracingIntegration({ router }),
        ],
        tracesSampleRate: 0.01,
        environment: environment,
        release: release
    });
}

app.component("FormInput", FormInput)
app.component("FormCheckbox", FormCheckbox)

app.mount('#app')
